%define	major 0
%define	libname %mklibname xdiff %{major}
%define develname %mklibname xdiff -d

Name:		libxdiff
Version:	0.23
Release:	%mkrel 3
Summary:	Create diffs/patches for text/binary files
License:	LGPLv2.1+
Group:		System/Libraries
URL:		http://www.xmailserver.org/xdiff-lib.html
Source0:	http://www.xmailserver.org/%{name}-%{version}.tar.gz
Patch0:		am-fixes.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool

%description
The LibXDiff library implements basic and yet complete functionalities
to create file differences/patches to both binary and text files. It
uses memory files as file abstraction to achieve both performance and
portability. For binary files, it implements (with some modification)
the algorithm described in "File System Support for Delta Compression"
by Joshua P. MacDonald. For text files, it follows directives described
in "An O(ND) Difference Algorithm and Its Variations" by Eugene W.
Myers. Memory files used by the library are basically a collection of
buffers that store the file content.


%package -n	%{libname}
Summary:	Shared libxdiff library
Group:		System/Libraries

%description -n	%{libname}
The LibXDiff library implements basic and yet complete functionalities
to create file differences/patches to both binary and text files. It
uses memory files as file abstraction to achieve both performance and
portability. For binary files, it implements (with some modification)
the algorithm described in "File System Support for Delta Compression"
by Joshua P. MacDonald. For text files, it follows directives described
in "An O(ND) Difference Algorithm and Its Variations" by Eugene W.
Myers. Memory files used by the library are basically a collection of
buffers that store the file content


%package -n	%{develname}
Summary:	Header files for libxdiff library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The LibXDiff library implements basic and yet complete functionalities to
create file differences/patches to both binary and text files. It uses memory
files as file abstraction to achieve both performance and portability. For
binary files, it implements (with some modification) the algorithm described in
"File System Support for Delta Compression" by Joshua P. MacDonald. For text
files, it follows directives described in "An O(ND) Difference Algorithm and
Its Variations" by Eugene W. Myers. Memory files used by the library are
basically a collection of buffers that store the file content.

Header files for libxdiff library.


%prep
%setup -q
%patch0 -p0

%build
%serverbuild
autoreconf -fis

%configure2_5x \
    --with-pic

%make

%install
%makeinstall_std

#don't ship static libraries
rm -f %{buildroot}%{_libdir}/*.*a

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog
%{_libdir}/*.so.*

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{_mandir}/man?/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.23-3.mga3
+ Revision: 358542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 dmorgan <dmorgan> 0.23-2.mga3
+ Revision: 339857
- Fix build with new libtool

* Wed Jan 11 2012 kamil <kamil> 0.23-1.mga2
+ Revision: 194862
- rediff patch am-fixes
- fix license
- remove unrecognized "--disable-rpath" option from configure
- remove static libraries
- clean spec

  + tv <tv>
    - new release

* Mon Feb 07 2011 spuhler <spuhler> 0.22-5.mga1
+ Revision: 48418
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package libxdiff

